package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import com.sun.xml.internal.txw2.annotation.XmlCDATA;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"transformation", "instance", "connector", "mappingvariable", "erpinfo", "metadataextension"}
)
@XmlRootElement(
   name = "MAPPLET"
)
public class MAPPLET {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlAttribute(
      name = "OBJECTVERSION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String objectversion;
   @XmlAttribute(
      name = "ISVALID"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String isvalid;
   @XmlAttribute(
      name = "VERSIONNUMBER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String versionnumber;
   @XmlAttribute(
      name = "CRCVALUE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String crcvalue;
   @XmlElement(
      name = "TRANSFORMATION"
   )
   protected List<TRANSFORMATION> transformation;
   @XmlElement(
      name = "INSTANCE"
   )
   protected List<INSTANCE> instance;
   @XmlElement(
      name = "CONNECTOR"
   )
   protected List<CONNECTOR> connector;
   @XmlElement(
      name = "MAPPINGVARIABLE"
   )
   protected List<MAPPINGVARIABLE> mappingvariable;
   @XmlElement(
      name = "ERPINFO"
   )
   protected List<ERPINFO> erpinfo;
   @XmlElement(
      name = "METADATAEXTENSION"
   )
   protected List<METADATAEXTENSION> metadataextension;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public String getOBJECTVERSION() {
      return this.objectversion;
   }

   public void setOBJECTVERSION(String value) {
      this.objectversion = value;
   }

   public String getISVALID() {
      return this.isvalid;
   }

   public void setISVALID(String value) {
      this.isvalid = value;
   }

   public String getVERSIONNUMBER() {
      return this.versionnumber;
   }

   public void setVERSIONNUMBER(String value) {
      this.versionnumber = value;
   }

   public String getCRCVALUE() {
      return this.crcvalue;
   }

   public void setCRCVALUE(String value) {
      this.crcvalue = value;
   }

   @XmlCDATA
   public List<TRANSFORMATION> getTRANSFORMATION() {
      if (this.transformation == null) {
         this.transformation = new ArrayList();
      }

      return this.transformation;
   }

   public List<INSTANCE> getINSTANCE() {
      if (this.instance == null) {
         this.instance = new ArrayList();
      }

      return this.instance;
   }

   public List<CONNECTOR> getCONNECTOR() {
      if (this.connector == null) {
         this.connector = new ArrayList();
      }

      return this.connector;
   }

   public List<MAPPINGVARIABLE> getMAPPINGVARIABLE() {
      if (this.mappingvariable == null) {
         this.mappingvariable = new ArrayList();
      }

      return this.mappingvariable;
   }

   public List<ERPINFO> getERPINFO() {
      if (this.erpinfo == null) {
         this.erpinfo = new ArrayList();
      }

      return this.erpinfo;
   }

   @XmlCDATA
   public List<METADATAEXTENSION> getMETADATAEXTENSION() {
      if (this.metadataextension == null) {
         this.metadataextension = new ArrayList();
      }

      return this.metadataextension;
   }
}
